---
updatedAt: 2026-04-20T19:56:08.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get account balance history config by ID v2

Get the current account balance history configuration by ID.

Also returns previous configurations if you pass the query parameter `showPrevious` set to `true`.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Transaction banking",
    "version": "0.9.0",
    "description": "Transaction banking API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Bank statements",
      "description": "Bank statements endpoints"
    }
  ],
  "components": {
    "parameters": {
      "AccountBalanceConfigIdPathv2": {
        "name": "balanceHistoryConfigId",
        "in": "path",
        "description": "Balance history configuration ID",
        "schema": {
          "type": "string",
          "format": "uuid",
          "maxLength": 52
        },
        "required": true,
        "example": "ee665f37-340f-461e-b520-af3b1b61c6ee"
      },
      "ShowPreviousQuery": {
        "name": "showPrevious",
        "in": "query",
        "description": "Should the previous account balances history by division code be returned? \\\nIf `true`, returns the previous account balances history configuration by division code. Default is `false`.\\\nFor example, if you use [Update account balance history config](https://developers.pismo.io/pismo-docs/reference/patch-account-balances-history-configv2) to update an existing balance history configuration, specifying `true` in this field returns both the current balance history configuration and the previous ones.\\\nThere is no limit to how many previous balance history configurations can be returned.\n",
        "required": false,
        "example": true,
        "schema": {
          "type": "boolean",
          "default": false
        }
      }
    },
    "schemas": {
      "BalanceHistoryConfigID": {
        "type": "string",
        "format": "uuid",
        "description": "Balance history configuration ID",
        "example": "550e8400-e29b-41d4-a716-446655440000"
      },
      "BalanceHistoryTargetType": {
        "type": "string",
        "description": "The target type of the balance history configuration, based on the hierarchical level it applies to.",
        "enum": [
          "ORGANIZATION",
          "PROGRAM",
          "DIVISION"
        ],
        "example": "ORGANIZATION"
      },
      "BalanceHistoryTargetID": {
        "type": "string",
        "description": "Target ID (`org_id`, `program_id`, or `division_id`)",
        "minLength": 1,
        "maxLength": 52,
        "example": "my-org-123"
      },
      "CycleClosingTimeV2": {
        "type": "string",
        "format": "time",
        "description": "Cycle closing time indicates what time of day the cycle closes for a division, organization, or program. This time uses the timezone configured for the corresponding division, organization, or program.",
        "pattern": "^(?:([01]?\\d|2[0-3]):([0-5]?\\d):)?([0-5]?\\d)$",
        "example": "23:00:00",
        "maxLength": 8
      },
      "CycleConfigValidity": {
        "type": "object",
        "description": "The start and end date/time indicating when the cycle configuration becomes valid or invalid.\n",
        "properties": {
          "start": {
            "type": "string",
            "format": "datetime",
            "description": "The date and time when the configuration becomes valid. Format = `yyyy-mm-dd:hr:mm:ss`.",
            "example": "2023-04-01T22:10:00Z"
          },
          "end": {
            "type": "string",
            "format": "datetime",
            "description": "The date and time when the configuration ends. Format = `yyyy-mm-dd:hr:mm:ss`.",
            "example": "2023-05-01T22:10:00Z"
          }
        }
      },
      "CycleEventDelay": {
        "type": "integer",
        "format": "int32",
        "description": "The cycle event delay specifies how many minutes after `cycle_closing_time` the account balance history event is issued for each account in the division.",
        "example": 15,
        "minimum": 5
      },
      "ErrorCode": {
        "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 12,
        "example": "WPMT0017"
      },
      "ErrorMessage": {
        "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 1000,
        "example": "Invalid JSON payload received: Error unmarshalling request"
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "message": {
            "$ref": "#/components/schemas/ErrorMessage"
          }
        }
      },
      "GetAccountBalanceHistoryConfigurationResponseV2": {
        "description": "Get account balance history configuration response object",
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/BalanceHistoryConfigID"
          },
          "target_type": {
            "$ref": "#/components/schemas/BalanceHistoryTargetType"
          },
          "target_id": {
            "$ref": "#/components/schemas/BalanceHistoryTargetID"
          },
          "cycle_closing_time": {
            "$ref": "#/components/schemas/CycleClosingTimeV2"
          },
          "cycle_event_delay": {
            "$ref": "#/components/schemas/CycleEventDelay"
          },
          "cycle_config_validity": {
            "$ref": "#/components/schemas/CycleConfigValidity"
          }
        },
        "required": [
          "id",
          "target_type",
          "target_id",
          "cycle_closing_time",
          "cycle_event_delay",
          "cycle_config_validity"
        ]
      }
    },
    "responses": {
      "500InternalServer3": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "examples": {
              "Generic internal error": {
                "value": {
                  "code": "CMN9999",
                  "message": "Internal error"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/bank-statements/v2/account-balances/history/config/{balanceHistoryConfigId}": {
      "get": {
        "summary": "Get account balance history config by ID v2",
        "description": "Get the current account balance history configuration by ID.\n\nAlso returns previous configurations if you pass the query parameter `showPrevious` set to `true`.",
        "operationId": "get-account-balance-history-config-by-id-v2",
        "tags": [
          "Bank statements"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountBalanceConfigIdPathv2"
          },
          {
            "$ref": "#/components/parameters/ShowPreviousQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAccountBalanceHistoryConfigurationResponseV2"
                },
                "examples": {
                  "Example transaction": {
                    "value": {
                      "id": "ee665f37-340f-461e-b520-af3b1b61c6ee",
                      "target_type": "PROGRAM",
                      "target_id": "42461",
                      "cycle_closing_time": "22:00:00",
                      "cycle_event_delay": 10,
                      "cycle_config_validity": {
                        "start": "2023-05-01T22:10:00Z"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "division_code parameter required": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "divisionCode is a required parameter"
                    }
                  },
                  "cycle_closing_time exceed size": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time must be a maximum of 8 characters in length"
                    }
                  },
                  "cycle_closing_time invalid time format": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time has an invalid time format: {cycle_closing_time}"
                    }
                  },
                  "cycle_event_delay must be 5 minutes or greater": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_event_delay must be 5 or greater"
                    }
                  },
                  "cycle_event_delay exceed maximum minutes": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_event_delay must be 1,439 or less"
                    }
                  },
                  "cycle_closing_time or cycle_event_delay must be provided": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "cycle_closing_time or cycle_event_delay must be provided"
                    }
                  },
                  "Missing required parameter": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "Missing required parameter {id}"
                    }
                  },
                  "Pagination limit exceeded": {
                    "value": {
                      "code": "WCFG0002",
                      "message": "Pagination must be limited to 20"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "Division not found": {
                    "value": {
                      "code": "WCFG0003",
                      "message": "Division [divisionCode] not found"
                    }
                  },
                  "Account balance history config not found": {
                    "value": {
                      "code": "WCFG0005",
                      "message": "Account balance history config not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer3"
          }
        }
      }
    }
  }
}
```